Debian Bug report logs - #683751
gettext: Please mark gettext M-A: allowed

version graph

Package: gettext; Maintainer for gettext is Santiago Vila <sanvila@debian.org>; Source for gettext is src:gettext.

Reported by: Johannes Schauer <j.schauer@email.de>

Date: Fri, 3 Aug 2012 14:48:01 UTC

Severity: normal

Tags: patch

Found in version gettext/0.18.1.1-9

Fixed in version gettext/0.18.1.1-10

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 03 Aug 2012 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 03 Aug 2012 14:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gettext: Please mark gettext M-A: allowed
Date: Fri, 03 Aug 2012 16:44:52 +0200
Package: gettext
Version: 0.18.1.1-9
Severity: normal

Hi,

the gettext binary package being Multi-Arch: None prevents the following
essential source packages from being cross compiled:

 - acl
 - attr
 - bash
 - binutils
 - coreutils
 - dpkg
 - e2fsprogs
 - gawk
 - gcc-4.7
 - grep
 - shadow
 - tar
 - texinfo
 - util-linux

There of course exist many more but those are the packages that must be
cross compiled to be able to bootstrap Debian for a new architecture (but
fail to build because of gettext being Multi-Arch: None).

Ubuntu made the gettext package Multi-Arch: allowed with version
0.18.1.1-9ubuntu1 and that seems to work fine wrt cross building.

Please consider marking Debian gettext Multi-Arch: allowed as well.

cheers, josch



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Thu, 09 Aug 2012 22:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Thu, 09 Aug 2012 22:00:06 GMT) Full text and rfc822 format available.

Message #10 received at 683751@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 683751@bugs.debian.org, steve.langasek@canonical.com
Subject: Re: gettext: Please mark gettext M-A: allowed
Date: Thu, 09 Aug 2012 17:17:03 -0400
I wonder if the gettext binary package should instead be split.  Perhaps
gettext-runtime (M-A: same) should provide the libraries, gettext-tools
(M-A: foreign) should provide the tools, and gettext should be a
metapackage that depends on both of the former packages?

Steve, is there any particular reason you didn't go this route for Ubuntu?

-- 
P. J. McDermott                                        (_/@\_)    ,--.
http://www.pehjota.net/                           o    < o o >   / oo \
http://www.pehjota.net/contact.html                 o   \ `-/    | <> |.
                                                o o o    "~v    /_\--/_/



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Sat, 11 Aug 2012 05:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sat, 11 Aug 2012 05:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 683751@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 683751@bugs.debian.org
Subject: Re: gettext: Please mark gettext M-A: allowed
Date: Fri, 10 Aug 2012 21:58:17 -0700
[Message part 1 (text/plain, inline)]
On Thu, Aug 09, 2012 at 05:17:03PM -0400, P. J. McDermott wrote:
> I wonder if the gettext binary package should instead be split.  Perhaps
> gettext-runtime (M-A: same) should provide the libraries, gettext-tools
> (M-A: foreign) should provide the tools, and gettext should be a
> metapackage that depends on both of the former packages?

> Steve, is there any particular reason you didn't go this route for Ubuntu?

Primarily out of a desire to not introduce package splits in Ubuntu that
were not reflected in Debian.  In the long term, it seems to be preferable
to split the library packages out so that they can be co-installable.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Mon, 13 Aug 2012 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 13 Aug 2012 11:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 683751@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "P. J. McDermott" <pjm@nac.net>, 683751@bugs.debian.org
Cc: steve.langasek@canonical.com
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Mon, 13 Aug 2012 13:30:12 +0200 (CEST)
On Thu, 9 Aug 2012, P. J. McDermott wrote:

> I wonder if the gettext binary package should instead be split.  Perhaps
> gettext-runtime (M-A: same) should provide the libraries, gettext-tools
> (M-A: foreign) should provide the tools, and gettext should be a
> metapackage that depends on both of the former packages?

Please note that the Debian gettext source package currently in
wheezy/sid generates all the following binary packages:

gettext-base
gettext
gettext-el
gettext-doc
autopoint
libgettextpo0
libasprintf0c2

Moreover, all the libraries which are meant to be used by other
packages are already multi-arched and they are in their own package
(the last two in the list above).

So: What exactly did you mean by "split"?



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Mon, 13 Aug 2012 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 13 Aug 2012 13:36:06 GMT) Full text and rfc822 format available.

Message #25 received at 683751@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: Santiago Vila <sanvila@unex.es>, 683751@bugs.debian.org
Cc: "P. J. McDermott" <pjm@nac.net>, steve.langasek@canonical.com
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Mon, 13 Aug 2012 15:32:21 +0200
Hi,

On Mon, Aug 13, 2012 at 01:30:12PM +0200, Santiago Vila wrote:
> On Thu, 9 Aug 2012, P. J. McDermott wrote:
> > I wonder if the gettext binary package should instead be split.
> > Perhaps gettext-runtime (M-A: same) should provide the libraries,
> > gettext-tools (M-A: foreign) should provide the tools, and gettext
> > should be a metapackage that depends on both of the former packages?
> 
> So: What exactly did you mean by "split"?

Steve made the gettext binary package M-A: allowed so that packages
depending on it can choose (using the :any qualifier in their
dependencies) whether they need a native version of the gettext binary
package or if a foreign version will do as well.

Patrick's idea was to split the gettext binary package into two
packages: one package that would contain those parts that satisfy
dependencies of packages of every other architecture (this package would
be M-A: foreign) and one package that would only allow to satisfy
dependencies of packages of the same architecture (this package would be
M-A: same).

Looking at the content of the gettext binary package, the following
files would surely go into the M-A: same package as they differ between
architectures:

/usr/lib/gettext/hostname
/usr/lib/gettext/urlget
/usr/lib/libasprintf.a
/usr/lib/libgettextlib-0.18.1.so
/usr/lib/libgettextlib.so
/usr/lib/libgettextpo.a
/usr/lib/libgettextsrc-0.18.1.so
/usr/lib/libgettextsrc.so
/usr/lib/preloadable_libintl.so
/usr/share/java/gettext.jar

The following binaries also differ across architectures but those
executables might be able to fulfill dependencies on them even for
foreign architectures?

/usr/bin/gettextize
/usr/bin/msgattrib
/usr/bin/msgcat
/usr/bin/msgcmp
/usr/bin/msgcomm
/usr/bin/msgconv
/usr/bin/msgen
/usr/bin/msgexec
/usr/bin/msgfilter
/usr/bin/msgfmt
/usr/bin/msggrep
/usr/bin/msginit
/usr/bin/msgmerge
/usr/bin/msgunfmt
/usr/bin/msguniq
/usr/bin/recode-sr-latin
/usr/bin/xgettext

I'm not familiar with gettext so I couldnt tell which of above binaries
would satisfy foreign dependencies on them and which do not.

IMHO, if possible, then compared with making the gettext binary package
M-A: foreign, splitting the gettext binary package into a M-A: foreign
and a M-A: same package would be the preferred option. One reason for
that is, that the :any qualifier is not yet allowed to be used in Debian
because wanna-build doesnt understand it yet.

cheers, josch



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Mon, 13 Aug 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 13 Aug 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #30 received at 683751@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 683751@bugs.debian.org
Cc: steve.langasek@canonical.com
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Mon, 13 Aug 2012 13:06:28 -0400
On 2012-08-13 09:32, Johannes Schauer wrote:
> On Mon, Aug 13, 2012 at 01:30:12PM +0200, Santiago Vila wrote:
>> So: What exactly did you mean by "split"?
> 
> Patrick's idea was to split the gettext binary package into two
> packages: one package that would contain those parts that satisfy
> dependencies of packages of every other architecture (this package would
> be M-A: foreign) and one package that would only allow to satisfy
> dependencies of packages of the same architecture (this package would be
> M-A: same).

Indeed, I meant that the architecture-specific interfaces [1] currently
provided by the gettext binary package could be moved into one or two
new binary packages.  The result would be something like:

  * gettext (Multi-Arch: foreign)
  * libgettext (Multi-Arch: same)
  * libgettext-dev (Multi-Arch: same)
  * gettext-base
  * ...

 1. These include the libgettextlib, libgettextsrc, and preloadable
    libintl objects and gettext Java archive, as Johannes noted.

On 2012-08-13 07:30, Santiago Vila wrote:
> Moreover, all the libraries which are meant to be used by other
> packages are already multi-arched and they are in their own package
> (the last two in the list above).

But this is a good point, which I had failed to realize previously.  No
files in Debian besides the Gettext utilities should link against the
libraries in the gettext binary package.

And I just verified that this rule appears to hold for all 36 packages
in sid main amd64 that declare run-time dependencies on gettext.  None
of their ELF files are dynamically linked against the libgettextlib,
libgettextsrc, or preloadable_libintl objects.

So I think this means that the gettext binary package can remain as-is
and simply be marked Multi-Arch: foreign (rather than splitting it or
marking it Multi-Arch: allowed and adding :any to dependency lists of
other packages).

Or might it be necessary to support other packages someday linking
against gettext's internal library objects (and the cross building of
those packages)?

-- 
P. J. McDermott                                        (_/@\_)    ,--.
http://www.pehjota.net/                           o    < o o >   / oo \
http://www.pehjota.net/contact.html                 o   \ `-/    | <> |.
                                                o o o    "~v    /_\--/_/



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Tue, 14 Aug 2012 20:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 20:03:11 GMT) Full text and rfc822 format available.

Message #35 received at 683751@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 683751@bugs.debian.org
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Tue, 14 Aug 2012 13:00:23 -0700
[Message part 1 (text/plain, inline)]
Hi there,

On Mon, Aug 13, 2012 at 01:06:28PM -0400, P. J. McDermott wrote:
> On 2012-08-13 09:32, Johannes Schauer wrote:
> > On Mon, Aug 13, 2012 at 01:30:12PM +0200, Santiago Vila wrote:
> >> So: What exactly did you mean by "split"?

> > Patrick's idea was to split the gettext binary package into two
> > packages: one package that would contain those parts that satisfy
> > dependencies of packages of every other architecture (this package would
> > be M-A: foreign) and one package that would only allow to satisfy
> > dependencies of packages of the same architecture (this package would be
> > M-A: same).

> Indeed, I meant that the architecture-specific interfaces [1] currently
> provided by the gettext binary package could be moved into one or two
> new binary packages.  The result would be something like:

>   * gettext (Multi-Arch: foreign)
>   * libgettext (Multi-Arch: same)
>   * libgettext-dev (Multi-Arch: same)
>   * gettext-base
>   * ...

>  1. These include the libgettextlib, libgettextsrc, and preloadable
>     libintl objects and gettext Java archive, as Johannes noted.

libgettext-dev is the main piece that is still missing to make all relevant
bits of gettext co-installable: currently the .so symlinks for the public
runtime libraries, which are needed at build time by packages linking
against the libs, are shipped in the 'gettext' binary package; so when
cross-building a package that build-depends on gettext, we have to know
whether they're using the tools or the libraries.

The other libraries that haven't been split out are:

  /usr/lib/libgettextlib-0.18.1.so
  /usr/lib/libgettextsrc-0.18.1.so

if these are private and internal, that's fine and not a concern.  In that
case, though, the unversioned symlinks (libgettextlib.so, libgettextsrc.so)
should ideally be dropped from the binary package since anything that makes
use of them is by definition buggy.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Tue, 14 Aug 2012 20:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 20:09:08 GMT) Full text and rfc822 format available.

Message #40 received at 683751@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 683751@bugs.debian.org
Cc: steve.langasek@canonical.com
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Tue, 14 Aug 2012 16:08:22 -0400
On 2012-08-13 13:06, P. J. McDermott wrote:
> On 2012-08-13 07:30, Santiago Vila wrote:
>> Moreover, all the libraries which are meant to be used by other
>> packages are already multi-arched and they are in their own package
>> (the last two in the list above).
> 
> But this is a good point, which I had failed to realize previously.  No
> files in Debian besides the Gettext utilities should link against the
> libraries in the gettext binary package.
> 
> [...]
> 
> Or might it be necessary to support other packages someday linking
> against gettext's internal library objects (and the cross building of
> those packages)?

Actually, there are two symbolic links that suggest that the libraries
in gettext might be meant (by upstream) to be used by other packages:

    /usr/lib/libgettextsrc.so -> libgettextsrc-0.18.1.so
    /usr/lib/libgettextlib.so -> libgettextlib-0.18.1.so

So there appear to be three ways to make gettext capable of satisfying
cross build dependencies of packages such as those Johannes listed:

 1. Mark gettext Multi-Arch: allowed.  All depending packages that are
    to be cross built will need to depend on gettext:any.
 2. Split the remaining libraries out of gettext (my original proposed
    solution).  Mark gettext Multi-Arch: foreign and the new libraries
    package(s) Multi-Arch: same.
 3. Remove the aforementioned symbolic links and declare the libraries
    in gettext "for internal use only" (as is libbfd-2.22-system.so in
    binutils, for example).

I understand why it was done in Ubuntu, but IMHO, option 1 is the least
favorable, as it makes dependency clarification the job of many
depending packages (requiring metadata changes thereto).  (And as
Johannes noted, this isn't supported yet by wanna-build, though this
isn't a huge blocker per se.)

Option 3 would of course be simplest, but I have no strong opinions
between options 2 or 3.  I'm prepared to do the work and submit a patch
for either.

Santiago, which option do you think is best?  Can we say that the use of
the libraries in the gettext binary package by other packages is "not
allowed", or should we support such use in the future?

-- 
P. J. McDermott                                        (_/@\_)    ,--.
http://www.pehjota.net/                           o    < o o >   / oo \
http://www.pehjota.net/contact.html                 o   \ `-/    | <> |.
                                                o o o    "~v    /_\--/_/



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Tue, 14 Aug 2012 20:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 20:42:08 GMT) Full text and rfc822 format available.

Message #45 received at 683751@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 683751@bugs.debian.org
Cc: steve.langasek@canonical.com
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Tue, 14 Aug 2012 16:38:31 -0400
On 2012-08-14 16:08, P. J. McDermott wrote:
>  2. Split the remaining libraries out of gettext (my original proposed
>     solution).  Mark gettext Multi-Arch: foreign and the new libraries
>     package(s) Multi-Arch: same.
>  3. Remove the aforementioned symbolic links and declare the libraries
>     in gettext "for internal use only" (as is libbfd-2.22-system.so in
>     binutils, for example).

Sorry, these aren't exactly complete, as Steve notes:

On 2012-08-14 16:00, Steve Langasek wrote:
> libgettext-dev is the main piece that is still missing to make all relevant
> bits of gettext co-installable: currently the .so symlinks for the public
> runtime libraries, which are needed at build time by packages linking
> against the libs, are shipped in the 'gettext' binary package; so when
> cross-building a package that build-depends on gettext, we have to know
> whether they're using the tools or the libraries.

So if nothing else, libgettext-dev should be split out from gettext.

The remaining question is whether the libraries that are still in
gettext are to be used by other packages.

-- 
P. J. McDermott                                        (_/@\_)    ,--.
http://www.pehjota.net/                           o    < o o >   / oo \
http://www.pehjota.net/contact.html                 o   \ `-/    | <> |.
                                                o o o    "~v    /_\--/_/



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Tue, 14 Aug 2012 20:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 20:48:06 GMT) Full text and rfc822 format available.

Message #50 received at 683751@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "P. J. McDermott" <pjm@nac.net>, 683751@bugs.debian.org
Cc: steve.langasek@canonical.com
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Tue, 14 Aug 2012 22:44:48 +0200 (CEST)
On Tue, 14 Aug 2012, P. J. McDermott wrote:

> So there appear to be three ways to make gettext capable of satisfying
> cross build dependencies of packages such as those Johannes listed:
>
> 1. Mark gettext Multi-Arch: allowed.  All depending packages that are
>    to be cross built will need to depend on gettext:any.
> 2. Split the remaining libraries out of gettext (my original proposed
>    solution).  Mark gettext Multi-Arch: foreign and the new libraries
>    package(s) Multi-Arch: same.
> 3. Remove the aforementioned symbolic links and declare the libraries
>    in gettext "for internal use only" (as is libbfd-2.22-system.so in
>    binutils, for example).

The libraries in gettext are certainly for internal use only. This is
reflected by lack of shlibs files for them, and it's also "documented"
in /usr/share/lintian/overrides/gettext (not that this is a good place
to "document" things, but certainly it is not a "secret").

So I would go for option 3, for simplicity, at least for now.

Question: In this case we should still add "Multi-Arch: foreign" to
gettect, right?



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Tue, 14 Aug 2012 20:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 20:54:13 GMT) Full text and rfc822 format available.

Message #55 received at 683751@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Steve Langasek <steve.langasek@canonical.com>, 683751@bugs.debian.org
Cc: "P. J. McDermott" <pjm@nac.net>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Tue, 14 Aug 2012 22:52:38 +0200 (CEST)
On Tue, 14 Aug 2012, Steve Langasek wrote:

> against the libs, are shipped in the 'gettext' binary package; when
> cross-building a package that build-depends on gettext, we have to
> know whether they're using the tools or the libraries.

Please note that if they are using the libraries, they should build-depend
on libasprintf-dev and/or libgettextpo-dev, currently provided by gettext,
not on gettext itself.

Build-depending on gettext instead of libasprintf-dev and/or libgettextpo-dev
if the build-depends is really for the libraries should be a bug.


Now the question: Do libasprintf-dev and libgettextpo-dev really need
to be in a different package than gettext?



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Tue, 14 Aug 2012 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 14 Aug 2012 21:09:05 GMT) Full text and rfc822 format available.

Message #60 received at 683751@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 683751@bugs.debian.org, "P. J. McDermott" <pjm@nac.net>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Tue, 14 Aug 2012 14:05:44 -0700
[Message part 1 (text/plain, inline)]
On Tue, Aug 14, 2012 at 10:52:38PM +0200, Santiago Vila wrote:
> On Tue, 14 Aug 2012, Steve Langasek wrote:

> >against the libs, are shipped in the 'gettext' binary package; when
> >cross-building a package that build-depends on gettext, we have to
> >know whether they're using the tools or the libraries.

> Please note that if they are using the libraries, they should build-depend
> on libasprintf-dev and/or libgettextpo-dev, currently provided by gettext,
> not on gettext itself.

> Build-depending on gettext instead of libasprintf-dev and/or libgettextpo-dev
> if the build-depends is really for the libraries should be a bug.

Right... but whether it's a build-dep on a real package or on a virtual one,
if the package is M-A: foreign there's no way to express that you need the
version for the host architecture.

> Now the question: Do libasprintf-dev and libgettextpo-dev really need
> to be in a different package than gettext?

I think that depends on whether there's ever a need to build against host
and build versions of these libraries in a single build.  I don't know the
answer to that; we probably won't discover the answer for a while, until
someone working on cross-compiling the distro runs into one that does.

You could split the packages and put the issue to bed once and for all, or
just use Multi-Arch: allowed for now and wait for complaints :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 17 Aug 2012 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 17 Aug 2012 02:15:03 GMT) Full text and rfc822 format available.

Message #65 received at 683751@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 683751@bugs.debian.org
Cc: Steve Langasek <steve.langasek@canonical.com>, control@bugs.debian.org
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Thu, 16 Aug 2012 22:14:12 -0400
[Message part 1 (text/plain, inline)]
tags 683751 + patch
thanks

On 2012-08-14 17:05, Steve Langasek wrote:
> On Tue, Aug 14, 2012 at 10:52:38PM +0200, Santiago Vila wrote:
>> Now the question: Do libasprintf-dev and libgettextpo-dev really need
>> to be in a different package than gettext?
> 
> I think that depends on whether there's ever a need to build against host
> and build versions of these libraries in a single build.  I don't know the
> answer to that; we probably won't discover the answer for a while, until
> someone working on cross-compiling the distro runs into one that does.
> 
> You could split the packages and put the issue to bed once and for all, or
> just use Multi-Arch: allowed for now and wait for complaints :)

I split out a libgettext-dev package that provides libasprintf-dev and
libgettextpo-dev.  I also removed the unversioned libgettextlib.so and
libgettextsrc.so symbolic links.

I hope I've correctly split the /usr/share hierarchy between gettext and
libgettext-dev.  Please let me know if something is wrong.

I've tested that src:gettext correctly builds [1] with this patch, but
I've not yet tried building other software against the resulting packages.

[1]:
http://bootstrap.pehjota.net/cross/builds/gettext/gettext_0.18.1.1-9.1_i386-20120816-2130.build

-- 
P. J. McDermott                                        (_/@\_)    ,--.
http://www.pehjota.net/                           o    < o o >   / oo \
http://www.pehjota.net/contact.html                 o   \ `-/    | <> |.
                                                o o o    "~v    /_\--/_/
[gettext_libgettext-dev_split.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from "P. J. McDermott" <pjm@nac.net> to control@bugs.debian.org. (Fri, 17 Aug 2012 02:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Mon, 24 Sep 2012 15:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 24 Sep 2012 15:45:06 GMT) Full text and rfc822 format available.

Message #72 received at 683751@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 683751@bugs.debian.org
Subject: gettext: Please mark gettext M-A: allowed
Date: Mon, 24 Sep 2012 16:40:27 +0100
Santiago, have you reached an opinion on whether you'd prefer to 
1) split the gettext package into an MA:same libgettext-dev part and
an MA:foreign gettext part (and change corresponding dependencies), or
2) mark it MA:allowed and change all the dependencies that only need the
build-tool part to 'gettext:any' ?

Ubuntu is currently doing the latter, but as there are many such
depending packages (521 in unstable), if we are going to do the
(arguably more correct) package split in Debian, then it makes sense
not to go crazy uploading hundreds of changes to Ubuntu which will
later need to be reverted.

I don't (yet) have strong opinions on this, but would like to know
which way we are headed, or what more research is needed in order to
decide that so that I can head in that direction too, rather than the
opposite one.

Do you in fact need someone to test out pj's patch against some builds
to see if it is indeed a good solution? 

Direction, or requests for help, are welcome.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Mon, 24 Sep 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Mon, 24 Sep 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #77 received at 683751@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Wookey <wookey@wookware.org>, 683751@bugs.debian.org
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Mon, 24 Sep 2012 18:22:32 +0200 (CEST)
On Mon, 24 Sep 2012, Wookey wrote:

> Santiago, have you reached an opinion on whether you'd prefer to
> 1) split the gettext package into an MA:same libgettext-dev part and
> an MA:foreign gettext part (and change corresponding dependencies), or
> 2) mark it MA:allowed and change all the dependencies that only need the
> build-tool part to 'gettext:any' ?

I think splitting is probably the best option here, following Steve's advice:

Steve Langasek wrote:
> You could split the packages and put the issue to bed once and for all


The thing I don't like about the proposed patch is that it creates
a single new package which is really the combination of two
different -dev packages.

So my plan would be to split it "the right way", by creating two
additional packages: libasprintf-dev and libgettextpo-dev.

We would then drop the "Provides:" in gettext, we would not have
to add them anywhere, and it would be clear that those names
are the right ones to be put in a build-depends.


[ This is what I had in mind, but since we are in a freeze I had this
  issue postponed. Sorry for the late reply ].


Does this help?



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Sun, 18 Nov 2012 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sun, 18 Nov 2012 03:12:03 GMT) Full text and rfc822 format available.

Message #82 received at 683751@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 683751@bugs.debian.org
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Sun, 18 Nov 2012 03:08:35 +0000
[Message part 1 (text/plain, inline)]
+++ Santiago Vila [2012-09-24 18:22 +0200]:
> On Mon, 24 Sep 2012, Wookey wrote:
> 
> >Santiago, have you reached an opinion on whether you'd prefer to
> >1) split the gettext package into an MA:same libgettext-dev part and
> >an MA:foreign gettext part (and change corresponding dependencies), or
> >2) mark it MA:allowed and change all the dependencies that only need the
> >build-tool part to 'gettext:any' ?
> 
> I think splitting is probably the best option here, following Steve's advice:
> 
> Steve Langasek wrote:
> >You could split the packages and put the issue to bed once and for all
> 
> 
> The thing I don't like about the proposed patch is that it creates
> a single new package which is really the combination of two
> different -dev packages.
> 
> So my plan would be to split it "the right way", by creating two
> additional packages: libasprintf-dev and libgettextpo-dev.
> 
> We would then drop the "Provides:" in gettext, we would not have
> to add them anywhere, and it would be clear that those names
> are the right ones to be put in a build-depends.

OK. As I was getting very bored of marking Build-deps 'gettext:any' in
Ubuntu (and they'd all have to be changed back eventually anyway),
I've done the work to extend PJs patch to split into two libraries.
Not yet very carefully checked or tested, but it looks OK.

This patch also include the eglibc-2.16 fix from #693361
I can do one without that if you prefer.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[gettext-0.18.1.1-multiarch-split-2.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Wed, 21 Nov 2012 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 21 Nov 2012 13:03:03 GMT) Full text and rfc822 format available.

Message #87 received at 683751@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Wookey <wookey@wookware.org>, 683751@bugs.debian.org
Cc: Santiago Vila <sanvila@unex.es>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Wed, 21 Nov 2012 12:57:51 +0000
On Sun, Nov 18, 2012 at 03:08:35AM +0000, Wookey wrote:
> OK. As I was getting very bored of marking Build-deps 'gettext:any' in
> Ubuntu (and they'd all have to be changed back eventually anyway),
> I've done the work to extend PJs patch to split into two libraries.
> Not yet very carefully checked or tested, but it looks OK.

> +Package: libgettextpo-dev
> +Section: libdevel
> +Architecture: any
> +Multi-Arch: same
> +Depends: libgettextpo0 (= ${binary:Version})
> +Suggests: gettext-doc
> +Description: GNU Internationalization library development files
> + This package contains development files for the libgettextpo library.

This needs "Replaces: gettext (<< 0.18.1.1-10)", as it includes files
previously in gettext.

> +Package: libasprintf-dev
> +Section: libdevel
> +Architecture: any
> +Multi-Arch: same
> +Depends: libasprintf0c2 (= ${binary:Version})
> +Suggests: gettext-doc
> +Description: GNU Internationalization library development files
> + This package contains development files for the libasprintf library.

Ditto.  Also, this needs the same "Depends: dpkg (>= 1.15.4) |
install-info" as gettext, since one of the info files now lives in
libasprintf-dev.

Also, the file lists of libgettextpo-dev and libasprintf-dev both look
rather wrong.  Both of them contain both /usr/include/gettext-po.h and
/usr/include/autosprintf.h, but they ought to have one of those each.
libgettextpo-dev contains lots of stuff in /usr/share/gettext/, while
libasprintf-dev contains lots of stuff in /usr/share/aclocal/, and
neither looks right - surely these directories still belong in the
gettext package?

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Wed, 21 Nov 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 21 Nov 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #92 received at 683751@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 683751@bugs.debian.org, Santiago Vila <sanvila@unex.es>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Wed, 21 Nov 2012 17:00:08 +0000
[Message part 1 (text/plain, inline)]
+++ Colin Watson [2012-11-21 12:57 +0000]:
> On Sun, Nov 18, 2012 at 03:08:35AM +0000, Wookey wrote:
> > OK. As I was getting very bored of marking Build-deps 'gettext:any' in
> > Ubuntu (and they'd all have to be changed back eventually anyway),
> > I've done the work to extend PJs patch to split into two libraries.
> > Not yet very carefully checked or tested, but it looks OK.
> 
> > +Package: libgettextpo-dev
> > +Section: libdevel
> > +Architecture: any
> > +Multi-Arch: same
> > +Depends: libgettextpo0 (= ${binary:Version})
> > +Suggests: gettext-doc
> > +Description: GNU Internationalization library development files
> > + This package contains development files for the libgettextpo library.
> 
> This needs "Replaces: gettext (<< 0.18.1.1-10)", as it includes files
> previously in gettext.

good point.

> > +Package: libasprintf-dev
> > +Section: libdevel
> > +Architecture: any
> > +Multi-Arch: same
> > +Depends: libasprintf0c2 (= ${binary:Version})
> > +Suggests: gettext-doc
> > +Description: GNU Internationalization library development files
> > + This package contains development files for the libasprintf library.
> 
> Ditto.  Also, this needs the same "Depends: dpkg (>= 1.15.4) |
> install-info" as gettext, since one of the info files now lives in
> libasprintf-dev.

Ah yes. Thought I checked that, but clearly not.

> Also, the file lists of libgettextpo-dev and libasprintf-dev both look
> rather wrong.  Both of them contain both /usr/include/gettext-po.h and
> /usr/include/autosprintf.h, but they ought to have one of those each.
> libgettextpo-dev contains lots of stuff in /usr/share/gettext/, while
> libasprintf-dev contains lots of stuff in /usr/share/aclocal/, and
> neither looks right - surely these directories still belong in the
> gettext package?

This patch was 90% guesswork as I don't know what _any_ of the
files/binaries in gettext actually do which greatly limited how much
expertise I could apply to the problem. 

All that seems reasonable to me, but then almost anything would. Which
package should /usr/share/gettext/intl live in? They looked like
headers so I put them in the -dev package. But there is .c in there
too. OK some reading online says that these are stuff done by
gettextize and do not seem arch-dependent so should indeed be in
gettext main package. 
Like I say, having no idea how this package
works, or what the parts do, limits my ability to make intelligent
choices. Santiago? Is this right? Tell me what should go where and 
I'll send the patches.

Cheers for checking my shoddy work - I was hoping that sending in a
patch would prompt someone to comment on how broken it was :-)

Here's an update with all that fixed. I'm about to try it and see if
it works

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[gettext-0.18.1.1-multiarch-split-3.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Wed, 21 Nov 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 21 Nov 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #97 received at 683751@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Wookey <wookey@wookware.org>
Cc: 683751@bugs.debian.org, Santiago Vila <sanvila@unex.es>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Wed, 21 Nov 2012 17:31:30 +0000
On Wed, Nov 21, 2012 at 05:00:08PM +0000, Wookey wrote:
> +++ Colin Watson [2012-11-21 12:57 +0000]:
> > On Sun, Nov 18, 2012 at 03:08:35AM +0000, Wookey wrote:
> > > +Package: libgettextpo-dev
> > > +Section: libdevel
> > > +Architecture: any
> > > +Multi-Arch: same
> > > +Depends: libgettextpo0 (= ${binary:Version})
> > > +Suggests: gettext-doc
> > > +Description: GNU Internationalization library development files
> > > + This package contains development files for the libgettextpo library.
> > 
> > This needs "Replaces: gettext (<< 0.18.1.1-10)", as it includes files
> > previously in gettext.
> 
> good point.

It occurred to me that policy says you want a corresponding Breaks as
well.  Sorry for not mentioning that before.

> > Also, the file lists of libgettextpo-dev and libasprintf-dev both look
> > rather wrong.  Both of them contain both /usr/include/gettext-po.h and
> > /usr/include/autosprintf.h, but they ought to have one of those each.
> > libgettextpo-dev contains lots of stuff in /usr/share/gettext/, while
> > libasprintf-dev contains lots of stuff in /usr/share/aclocal/, and
> > neither looks right - surely these directories still belong in the
> > gettext package?
> 
> This patch was 90% guesswork as I don't know what _any_ of the
> files/binaries in gettext actually do which greatly limited how much
> expertise I could apply to the problem. 
> 
> All that seems reasonable to me, but then almost anything would. Which
> package should /usr/share/gettext/intl live in? They looked like
> headers so I put them in the -dev package. But there is .c in there
> too. OK some reading online says that these are stuff done by
> gettextize and do not seem arch-dependent so should indeed be in
> gettext main package. 

Right.

> Like I say, having no idea how this package
> works, or what the parts do, limits my ability to make intelligent
> choices.

I would say that only things tightly associated with libasprintf and
libgettextpo - so autosprintf.h / gettext-po.h respectively plus the
corresponding .a/.so - should go in the -dev package.

Everything else (and in particular everything under /usr/share/aclocal/
and /usr/share/gettext/) should stay exactly where it is, in the main
gettext package; it's generally only intended for being copied into
people's source packages by various tools.

> Cheers for checking my shoddy work - I was hoping that sending in a
> patch would prompt someone to comment on how broken it was :-)

Traditional Internet approach :-)

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Wed, 21 Nov 2012 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 21 Nov 2012 20:18:03 GMT) Full text and rfc822 format available.

Message #102 received at 683751@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Colin Watson <cjwatson@ubuntu.com>, 683751@bugs.debian.org
Cc: Wookey <wookey@wookware.org>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Wed, 21 Nov 2012 21:15:51 +0100
El 21/11/12 18:31, Colin Watson escribió:
> I would say that only things tightly associated with libasprintf and
> libgettextpo - so autosprintf.h / gettext-po.h respectively plus the
> corresponding .a/.so - should go in the -dev package.
>
> Everything else (and in particular everything under /usr/share/aclocal/
> and /usr/share/gettext/) should stay exactly where it is, in the main
> gettext package; it's generally only intended for being copied into
> people's source packages by various tools.

Yes, that's what I believe as well.



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 23 Nov 2012 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 23 Nov 2012 02:18:03 GMT) Full text and rfc822 format available.

Message #107 received at 683751@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 683751@bugs.debian.org, Wookey <wookey@wookware.org>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Fri, 23 Nov 2012 02:13:43 +0000
[Message part 1 (text/plain, inline)]
On Wed, Nov 21, 2012 at 09:15:51PM +0100, Santiago Vila wrote:
> El 21/11/12 18:31, Colin Watson escribió:
> >I would say that only things tightly associated with libasprintf and
> >libgettextpo - so autosprintf.h / gettext-po.h respectively plus the
> >corresponding .a/.so - should go in the -dev package.
> >
> >Everything else (and in particular everything under /usr/share/aclocal/
> >and /usr/share/gettext/) should stay exactly where it is, in the main
> >gettext package; it's generally only intended for being copied into
> >people's source packages by various tools.
> 
> Yes, that's what I believe as well.

Wookey sent me a new version of his patch earlier today, and I tweaked
it some more; I put /usr/share/aclocal/ back, as well as
libgettextsrc.so and libgettextlib.so.  I restored the version to
0.18.1.1-10 so that it matches the Breaks/Replaces.

It also occurred to me that gettext should depend on libasprintf-dev and
libgettextpo-dev, otherwise anything that Build-Depends on gettext
expecting to be able to use one of those libraries will immediately
FTBFS.  Perhaps it will be possible to get rid of this dependency later
after a migration period, as in some ways it's a bit odd for gettext to
suck in development libraries.

I dropped the Provides in gettext as they clearly no longer belong
there.

I've confirmed that these -dev packages are multiarch-coinstallable,
which is good.  There is one remaining niggle here: while
/usr/share/info/autosprintf.info.gz is currently identical across
architectures, it starts with a line containing "produced by makeinfo
version 4.13".  That means that if gettext ever happens to be built when
texinfo is at different upstream versions on different architectures,
the results will not be multiarch-coinstallable.  I think this is a bit
of a timebomb and we should avoid it.  Perhaps it would make sense to
leave that info documentation in the gettext package, and add a
"Suggests: gettext" in libasprintf-dev?  (We could move it to
gettext-doc instead, but that seems like fairly pointless
deckchair-rearrangement to me.)

I'd like to get this into Ubuntu as soon as possible to replace our
current "Multi-Arch: allowed" hack in sufficient time to undo all the
build-dependencies we've accumulated on "gettext:any".  Do you think it
might be possible to have this patch applied in experimental, or should
we apply it ourselves once we've agreed on package names and contents?

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[gettext-0.18.1.1-multiarch-split-5.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 23 Nov 2012 12:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 23 Nov 2012 12:33:06 GMT) Full text and rfc822 format available.

Message #112 received at 683751@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Colin Watson <cjwatson@ubuntu.com>, 683751@bugs.debian.org
Cc: Wookey <wookey@wookware.org>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Fri, 23 Nov 2012 13:31:45 +0100 (CET)
On Fri, 23 Nov 2012, Colin Watson wrote:

> It also occurred to me that gettext should depend on libasprintf-dev and
> libgettextpo-dev, otherwise anything that Build-Depends on gettext
> expecting to be able to use one of those libraries will immediately
> FTBFS.  Perhaps it will be possible to get rid of this dependency later
> after a migration period, as in some ways it's a bit odd for gettext to
> suck in development libraries.

I also thought about that, but the names of the new packages have been in
gettext Provides for a long time, which means any package which fails to build
properly because of this split was already buggy in the first place.

Moreover, somebody in this same thread, if I remember will, did a check
and found that there were no packages affected, so my preference would be
to not add those Depends if they are not necessary for our own packages.

> I've confirmed that these -dev packages are multiarch-coinstallable,
> which is good.  There is one remaining niggle here: while
> /usr/share/info/autosprintf.info.gz is currently identical across
> architectures, it starts with a line containing "produced by makeinfo
> version 4.13".  That means that if gettext ever happens to be built when
> texinfo is at different upstream versions on different architectures,
> the results will not be multiarch-coinstallable.  I think this is a bit
> of a timebomb and we should avoid it.  Perhaps it would make sense to
> leave that info documentation in the gettext package, and add a
> "Suggests: gettext" in libasprintf-dev?  (We could move it to
> gettext-doc instead, but that seems like fairly pointless
> deckchair-rearrangement to me.)
>
> I'd like to get this into Ubuntu as soon as possible to replace our
> current "Multi-Arch: allowed" hack in sufficient time to undo all the
> build-dependencies we've accumulated on "gettext:any".  Do you think it
> might be possible to have this patch applied in experimental, or should
> we apply it ourselves once we've agreed on package names and contents?

Perhaps we should probably do the split in Debian unstable, as
multiarch is a release goal for wheezy. Are splits already forbidden
in unstable?



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 23 Nov 2012 13:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 23 Nov 2012 13:33:07 GMT) Full text and rfc822 format available.

Message #117 received at 683751@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 683751@bugs.debian.org, Wookey <wookey@wookware.org>, debian-release@lists.debian.org
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Fri, 23 Nov 2012 13:31:12 +0000
On Fri, Nov 23, 2012 at 01:31:45PM +0100, Santiago Vila wrote:
> On Fri, 23 Nov 2012, Colin Watson wrote:
> >It also occurred to me that gettext should depend on libasprintf-dev and
> >libgettextpo-dev, otherwise anything that Build-Depends on gettext
> >expecting to be able to use one of those libraries will immediately
> >FTBFS.  Perhaps it will be possible to get rid of this dependency later
> >after a migration period, as in some ways it's a bit odd for gettext to
> >suck in development libraries.
> 
> I also thought about that, but the names of the new packages have been in
> gettext Provides for a long time, which means any package which fails to build
> properly because of this split was already buggy in the first place.
> 
> Moreover, somebody in this same thread, if I remember will, did a check
> and found that there were no packages affected, so my preference would be
> to not add those Depends if they are not necessary for our own packages.

OK, makes sense.

Looking back through the thread: do you still want to remove
libgettextlib.so and libgettextsrc.so?  The most recent version of
Wookey's patch removed those; I restored them in my revision, thinking
that a mistake, but I just noticed discussion earlier in this bug to the
effect that those symlinks should be removed since the libraries are
only for internal use by gettext, so I may have been wrong to restore
these symlinks.

> >I've confirmed that these -dev packages are multiarch-coinstallable,
> >which is good.  There is one remaining niggle here: while
> >/usr/share/info/autosprintf.info.gz is currently identical across
> >architectures, it starts with a line containing "produced by makeinfo
> >version 4.13".  That means that if gettext ever happens to be built when
> >texinfo is at different upstream versions on different architectures,
> >the results will not be multiarch-coinstallable.  I think this is a bit
> >of a timebomb and we should avoid it.  Perhaps it would make sense to
> >leave that info documentation in the gettext package, and add a
> >"Suggests: gettext" in libasprintf-dev?  (We could move it to
> >gettext-doc instead, but that seems like fairly pointless
> >deckchair-rearrangement to me.)

Do you have an opinion on this part?  If not, I think my default would
be for the next version of this patch to move autosprintf.info.gz back
to gettext, for safety.

> >I'd like to get this into Ubuntu as soon as possible to replace our
> >current "Multi-Arch: allowed" hack in sufficient time to undo all the
> >build-dependencies we've accumulated on "gettext:any".  Do you think it
> >might be possible to have this patch applied in experimental, or should
> >we apply it ourselves once we've agreed on package names and contents?
> 
> Perhaps we should probably do the split in Debian unstable, as
> multiarch is a release goal for wheezy. Are splits already forbidden
> in unstable?

Well, on the one hand, multiarch is a release goal, but it can't
realistically be an open-ended one - we have to stop somewhere.  It's
not as if there aren't plenty of other cross-building issues.  On the
other hand, it's true that this particular piece of it is more important
than your average multiarch fix since it blocks cross-building of many
other packages, and I don't actually think it's all that invasive.

http://release.debian.org/wheezy/freeze_policy.html allows "changes for
release goals, if they are not invasive".  I think we would need to ask
the release team for their opinion here; CCing debian-release.

(Background for those not following this long bug: we would like to
split libasprintf-dev and libgettextpo-dev out of gettext, in order to
permit marking gettext as Multi-Arch: foreign, the lack of which blocks
500-odd potentially cross-buildable packages and considerably obscures
our view of how much of even the core of Debian is cross-buildable.  The
earlier proposal reflected in the bug title was to leave these in the
one package and use "Multi-Arch: allowed", but that involves changing
lots of build-dependencies to "gettext:any" and I think everyone
involved is now agreed that this is a less desirable option.)

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 23 Nov 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 23 Nov 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #122 received at 683751@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 683751@bugs.debian.org
Cc: Santiago Vila <sanvila@unex.es>, Colin Watson <cjwatson@debian.org>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Fri, 23 Nov 2012 14:22:25 +0000
+++ Colin Watson [2012-11-23 13:31 +0000]:
> On Fri, Nov 23, 2012 at 01:31:45PM +0100, Santiago Vila wrote:
> > On Fri, 23 Nov 2012, Colin Watson wrote:

> > >I've confirmed that these -dev packages are multiarch-coinstallable,
> > >which is good.  There is one remaining niggle here: while
> > >/usr/share/info/autosprintf.info.gz is currently identical across
> > >architectures, it starts with a line containing "produced by makeinfo
> > >version 4.13".  That means that if gettext ever happens to be built when
> > >texinfo is at different upstream versions on different architectures,
> > >the results will not be multiarch-coinstallable.  I think this is a bit
> > >of a timebomb and we should avoid it.  Perhaps it would make sense to
> > >leave that info documentation in the gettext package, and add a
> > >"Suggests: gettext" in libasprintf-dev?  (We could move it to
> > >gettext-doc instead, but that seems like fairly pointless
> > >deckchair-rearrangement to me.)
> 
> Do you have an opinion on this part?  If not, I think my default would
> be for the next version of this patch to move autosprintf.info.gz back
> to gettext, for safety.

Doesn't this problem of potentially-rebuilt text/doc/info files exist
all over the place? I've come across it in perl docs which embed the
build date, not the doc-creation date, for example. Essentially any
doc in an M-A same package has the issue of rebuilds potentially
changing the text.  i.e. there is nothing special about gettext here.
Is texinfo version skew likely enough to break things that we should
worry.

One way of dealing with this is moving all docs out of M-A: same
packages, and docs are arch-independent stuff so it makes some sense.
But it's also good to keep docs in their most relevant place. I don't
know which package is really 'most relevant' here.

What we really want is QA checks on MA co-installability and
corresponding rebuilds/fixes where it's gone wrong. I'm happy to rely
on that happening in due course, if it would be better the leave the
docs in the -dev package. 

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 23 Nov 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 23 Nov 2012 15:39:03 GMT) Full text and rfc822 format available.

Message #127 received at 683751@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Wookey <wookey@wookware.org>
Cc: 683751@bugs.debian.org, Santiago Vila <sanvila@unex.es>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Fri, 23 Nov 2012 15:36:01 +0000
On Fri, Nov 23, 2012 at 02:22:25PM +0000, Wookey wrote:
> +++ Colin Watson [2012-11-23 13:31 +0000]:
> > Do you have an opinion on this part?  If not, I think my default would
> > be for the next version of this patch to move autosprintf.info.gz back
> > to gettext, for safety.
> 
> Doesn't this problem of potentially-rebuilt text/doc/info files exist
> all over the place?

Not that widely.  The bulk of documentation in M-A: same packages, as
far as I've seen so far, is just static files, which are just fine.

> I've come across it in perl docs which embed the build date, not the
> doc-creation date, for example.

Those clearly must not be in M-A: same packages because they will rarely
if ever manage to be identical.  That's a different issue from cases
like this, which will generally be identical across architectures but
where we might occasionally be unlucky.

> Essentially any doc in an M-A same package has the issue of rebuilds
> potentially changing the text.  i.e. there is nothing special about
> gettext here.  Is texinfo version skew likely enough to break things
> that we should worry.

I don't like leaving timebombs around behind me.  It seems like the kind
of thing that my future self would be likely to curse me for doing.

> One way of dealing with this is moving all docs out of M-A: same
> packages, and docs are arch-independent stuff so it makes some sense.

That would be drastic overkill, since many documentation files are
obviously invariant across architectures.

We already have a clear rule that says that things that vary across
architectures must not be in M-A: same packages.  This is only a
difficult situation because it will only vary if we get unlucky
(although it's a predictable kind of bad luck, rather than cosmic rays);
but we don't need to generalise the problem further than necessary.

> What we really want is QA checks on MA co-installability and
> corresponding rebuilds/fixes where it's gone wrong.

We should certainly have this, but I don't think it absolves us from
trying to insure against predictable problems up-front.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Fri, 23 Nov 2012 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 23 Nov 2012 20:27:05 GMT) Full text and rfc822 format available.

Message #132 received at 683751@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Santiago Vila <sanvila@unex.es>, 683751@bugs.debian.org, Wookey <wookey@wookware.org>, debian-release@lists.debian.org
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Fri, 23 Nov 2012 21:23:14 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 23, 2012 at 13:31:12 +0000, Colin Watson wrote:

> Well, on the one hand, multiarch is a release goal, but it can't
> realistically be an open-ended one - we have to stop somewhere.  It's
> not as if there aren't plenty of other cross-building issues.  On the
> other hand, it's true that this particular piece of it is more important
> than your average multiarch fix since it blocks cross-building of many
> other packages, and I don't actually think it's all that invasive.
> 
> http://release.debian.org/wheezy/freeze_policy.html allows "changes for
> release goals, if they are not invasive".  I think we would need to ask
> the release team for their opinion here; CCing debian-release.
> 
Sounds like something for jessie, IMO.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Sat, 24 Nov 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sat, 24 Nov 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #137 received at 683751@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Julien Cristau <jcristau@debian.org>, 683751@bugs.debian.org
Cc: Santiago Vila <sanvila@unex.es>, Wookey <wookey@wookware.org>, debian-release@lists.debian.org
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Sat, 24 Nov 2012 16:25:26 +0000
On Fri, Nov 23, 2012 at 09:23:14PM +0100, Julien Cristau wrote:
> On Fri, Nov 23, 2012 at 13:31:12 +0000, Colin Watson wrote:
> > Well, on the one hand, multiarch is a release goal, but it can't
> > realistically be an open-ended one - we have to stop somewhere.  It's
> > not as if there aren't plenty of other cross-building issues.  On the
> > other hand, it's true that this particular piece of it is more important
> > than your average multiarch fix since it blocks cross-building of many
> > other packages, and I don't actually think it's all that invasive.
> > 
> > http://release.debian.org/wheezy/freeze_policy.html allows "changes for
> > release goals, if they are not invasive".  I think we would need to ask
> > the release team for their opinion here; CCing debian-release.
> 
> Sounds like something for jessie, IMO.

Fair enough.  In that case it would be lovely to have something in
experimental so that we can, well, experiment with it.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Wed, 28 Nov 2012 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 28 Nov 2012 16:54:03 GMT) Full text and rfc822 format available.

Message #142 received at 683751@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Colin Watson <cjwatson@ubuntu.com>, 683751@bugs.debian.org
Cc: Wookey <wookey@wookware.org>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Wed, 28 Nov 2012 17:50:38 +0100 (CET)
Colin, Wookey:

After careful testing of the patches, I've just uploaded gettext_0.18.1.1-10
for unstable (with only minor changes), as I consider this split is
simple enough that it will hardly be disruptive for autobuilders.

This will likely not be accepted for wheezy, but in case we try to
convince release managers about it, I've postponed two of the changes
that we discussed:

- Dropping Depends on the new -dev packages.
- Dropping libgettextsrc.so and libgettextlib.so.

If you want to do them in Ubuntu, feel free. If you don't want to
deviate from Debian, those changes will be done in either case
shortly after the release of wheezy as stable.

Thanks a lot for your help!



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#683751; Package gettext. (Wed, 28 Nov 2012 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 28 Nov 2012 17:27:03 GMT) Full text and rfc822 format available.

Message #147 received at 683751@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Santiago Vila <sanvila@unex.es>
Cc: 683751@bugs.debian.org, Wookey <wookey@wookware.org>
Subject: Re: Bug#683751: gettext: Please mark gettext M-A: allowed
Date: Wed, 28 Nov 2012 17:22:28 +0000
On Wed, Nov 28, 2012 at 05:50:38PM +0100, Santiago Vila wrote:
> After careful testing of the patches, I've just uploaded gettext_0.18.1.1-10
> for unstable (with only minor changes), as I consider this split is
> simple enough that it will hardly be disruptive for autobuilders.

Fantastic - thank you very much!

> This will likely not be accepted for wheezy, but in case we try to
> convince release managers about it, I've postponed two of the changes
> that we discussed:
> 
> - Dropping Depends on the new -dev packages.
> - Dropping libgettextsrc.so and libgettextlib.so.
> 
> If you want to do them in Ubuntu, feel free. If you don't want to
> deviate from Debian, those changes will be done in either case
> shortly after the release of wheezy as stable.

I can't think of a way that either of these changes would affect
cross-building, so they don't seem pressing enough to merit divergence.

Cheers,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Sat, 08 Dec 2012 17:03:19 GMT) Full text and rfc822 format available.

Notification sent to Johannes Schauer <j.schauer@email.de>:
Bug acknowledged by developer. (Sat, 08 Dec 2012 17:03:19 GMT) Full text and rfc822 format available.

Message #154 received at 683751-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 683751-close@bugs.debian.org
Subject: Bug#683751: fixed in gettext 0.18.1.1-10
Date: Sat, 08 Dec 2012 17:00:11 +0000
Source: gettext
Source-Version: 0.18.1.1-10

We believe that the bug you reported is fixed in the latest version of
gettext, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683751@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated gettext package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Nov 2012 17:14:44 +0100
Source: gettext
Binary: gettext-base gettext gettext-el gettext-doc autopoint libgettextpo0 libasprintf0c2 libgettextpo-dev libasprintf-dev
Architecture: source all amd64
Version: 0.18.1.1-10
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 autopoint  - The autopoint program from GNU gettext
 gettext    - GNU Internationalization utilities
 gettext-base - GNU Internationalization utilities for the base system
 gettext-doc - Documentation for GNU gettext
 gettext-el - Emacs po-mode for editing gettext .po files
 libasprintf-dev - GNU Internationalization library development files
 libasprintf0c2 - GNU library to use fprintf and friends in C++
 libgettextpo-dev - GNU Internationalization library development files
 libgettextpo0 - GNU Internationalization library
Closes: 683751 693361
Changes: 
 gettext (0.18.1.1-10) unstable; urgency=low
 .
   * Split out libgettextpo-dev and libasprintf-dev for multiarch
     dependencies. Thanks to P.J McDermott for core patch. Closes: #683751.
   * Fix FTBFS on eglibc-2.16 (gets removal/outdated gnulib). Closes: #693361.
   * Thanks a lot to Colin Watson and Wookey, as they did all the work.
   * Keep autosprintf.info.gz in gettext for now, for safety.
   * Note: This is a "conservative release" which tries to be nice with
     autobuilders using unstable. After the release of wheezy, the following
     changes will be made: a) Change gettext Depends on the new -dev packages
     to just Recommends, and b) Drop libgettextsrc.so and libgettextlib.so,
     as those libraries are for internal use only and not meant to be used
     by other packages. Those changes will be made *regardless* of this release
     entering wheezy or not. Debian derivatives (like Ubuntu) are welcome to
     do them now, as it is what will eventually happen in Debian.
Checksums-Sha1: 
 ff55157eaa9ac22165dc86ee66b22f458f3119c0 1900 gettext_0.18.1.1-10.dsc
 038c6da3c3ca8af6447fb0f39462f06cc48f7849 52889 gettext_0.18.1.1-10.debian.tar.gz
 35c857f7bcafae5d9b94e975f8e47709d7c00116 60498 gettext-el_0.18.1.1-10_all.deb
 e9d597ed9ae508208c3d26262652cc65d3010408 914392 gettext-doc_0.18.1.1-10_all.deb
 fde4351ddaf645ffb9bbefae124d979c7fa3a87b 629366 autopoint_0.18.1.1-10_all.deb
 4c08619c37b2f280f0414d230361cf9100e654fc 154044 gettext-base_0.18.1.1-10_amd64.deb
 577f046d92820711779151b45deb23665c7ff2e3 1814804 gettext_0.18.1.1-10_amd64.deb
 3d94577eb29fc06c834b8ec54e7e214d1c814218 145002 libgettextpo0_0.18.1.1-10_amd64.deb
 52224da53902e1eb339f72947bf23175e036fbcf 27172 libasprintf0c2_0.18.1.1-10_amd64.deb
 7a98080ae68539b2a602cef60574711aa195f35d 184210 libgettextpo-dev_0.18.1.1-10_amd64.deb
 6a6f20dad82e364b983ba1bd71a35674bc718118 26834 libasprintf-dev_0.18.1.1-10_amd64.deb
Checksums-Sha256: 
 56eed4b5dd17ec8955fa7411872d329387a4eb3680a787c1206c05ffe9e94384 1900 gettext_0.18.1.1-10.dsc
 610850011d64fcd9a9b2435a8ee44232faa940fff578998b7f1363e238ca4627 52889 gettext_0.18.1.1-10.debian.tar.gz
 42697da584252789476f015792354a422a4e5e1171e9ac18bfd1a9db72bde037 60498 gettext-el_0.18.1.1-10_all.deb
 50fe0e8b5d7efcd3ff6a313b04326a5906bd46f3862f008a655da3de6b6a48f7 914392 gettext-doc_0.18.1.1-10_all.deb
 a1de483c809c5bc2094821052d09cc9a0677a18e3dd14580a69670c7d5c6b6cd 629366 autopoint_0.18.1.1-10_all.deb
 b769b5b60e1152b127e7d6c399bbb7a73eb1f95a4073281009628434c523fc70 154044 gettext-base_0.18.1.1-10_amd64.deb
 4e7996f7d2b3207d585e88fc2a3b781460adb26eab862c1b329d4320a94c8f7e 1814804 gettext_0.18.1.1-10_amd64.deb
 eb3c21699b7cfcba30d0e14830b9d45dbb23564c4bf7d29c28a3a66d960bea86 145002 libgettextpo0_0.18.1.1-10_amd64.deb
 a9e0d827dd0ade2a18d3dc98920bcad24df9f8639dd64456a3cfb4e41572457e 27172 libasprintf0c2_0.18.1.1-10_amd64.deb
 64e0ad9de4760b4593df47a981fb35309ba8fd79998ae27d37c9c66f9fe03e09 184210 libgettextpo-dev_0.18.1.1-10_amd64.deb
 fc8c22bb307dc1f72367b17dd35f949272e99edc7096c9a298988c9394dcad1d 26834 libasprintf-dev_0.18.1.1-10_amd64.deb
Files: 
 38b1f2af7f96018829c571c599f8bfbf 1900 devel optional gettext_0.18.1.1-10.dsc
 8d37a883907af264908a338a29438bc5 52889 devel optional gettext_0.18.1.1-10.debian.tar.gz
 6be6cf487e78d9fac0550cfde2de8926 60498 lisp optional gettext-el_0.18.1.1-10_all.deb
 e958a8cab4774fbd13a8fefe279a5fe4 914392 doc optional gettext-doc_0.18.1.1-10_all.deb
 d4fdae6b6b974e5dffd77155a5a3b6f7 629366 devel optional autopoint_0.18.1.1-10_all.deb
 0b0495052c8d8b7c5103494f7c22290b 154044 utils standard gettext-base_0.18.1.1-10_amd64.deb
 c752fb248d6ef0a3e28b41b12477905d 1814804 devel optional gettext_0.18.1.1-10_amd64.deb
 1b7182ab39b396881dff9b2ec17d4b8f 145002 libs optional libgettextpo0_0.18.1.1-10_amd64.deb
 cea22cf08e083eece3e94b1d8eab057e 27172 libs standard libasprintf0c2_0.18.1.1-10_amd64.deb
 e0f9da3027676a0ed3979a130577b36d 184210 libdevel optional libgettextpo-dev_0.18.1.1-10_amd64.deb
 83de816ab863138352bdedd718ae6b2b 26834 libdevel optional libasprintf-dev_0.18.1.1-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQtj0GAAoJEEHOfwufG4syRe8IAJfivJApk10RUmSf3zgQNm6A
z7ar3AOs9YtkwmAnt29xIyY0PuwqIH2CqhY3l4HKSFS2yAD8uUtvywAL2pyH0RU7
WYkYbktomIdi63g/jsUTSOrWnWY1wHOs1ftwE0zkeDJNmD8Krj3gTcIXxTJPGJdy
armJ9WDlcv8qRxbZEi5S3dfijavK4YjUsuFuTi8uD4pLOavAmRQgs/11cUQcy/c2
U7Mudt1zNETOvlA2K6qwheZtb8C1p10u1R/rbtG506yaOPxiysNvDXGsgSqUhJ0Y
so8xCM1KEp9wuLovCQodMG6AbrbXrDcW/yHZmO2YIxPxjU2ifK49xOQHKOvvOhY=
=1hVM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:31:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:11:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.